gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.MenuComboToolbar.RadioMenuItem

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Compatibility aliases

Description

A choice from multiple check menu items

Synopsis

- data RadioMenuItem
- class CheckMenuItemClass o => RadioMenuItemClass o
- castToRadioMenuItem :: GObjectClass obj => obj -> RadioMenuItem
- gTypeRadioMenuItem :: GType
- toRadioMenuItem :: RadioMenuItemClass o => o -> RadioMenuItem
- radioMenuItemNew :: IO RadioMenuItem
- radioMenuItemNewWithLabel :: GlibString string => string -> IO RadioMenuItem
- radioMenuItemNewWithMnemonic :: GlibString string => string -> IO RadioMenuItem
- radioMenuItemNewFromWidget :: RadioMenuItem -> IO RadioMenuItem
- radioMenuItemNewWithLabelFromWidget :: GlibString string => RadioMenuItem -> string -> IO RadioMenuItem
- radioMenuItemNewWithMnemonicFromWidget :: GlibString string => RadioMenuItem -> string -> IO RadioMenuItem
- radioMenuItemNewJoinGroup :: RadioMenuItem -> IO RadioMenuItem
- radioMenuItemNewJoinGroupWithLabel :: GlibString string => RadioMenuItem -> string -> IO RadioMenuItem
- radioMenuItemNewJoinGroupWithMnemonic :: GlibString string => RadioMenuItem -> string -> IO RadioMenuItem

# Detail

A radio menu item is a check menu item that belongs to a group. At each instant exactly one of the radio menu items from a group is selected.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Bin
    | +----Item
    | +----MenuItem
    | +----CheckMenuItem
    | +----RadioMenuItem

# Types

data RadioMenuItem Source #

#### Instances

Instances details

Eq RadioMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: RadioMenuItem -> RadioMenuItem -> Bool Source # (/=) :: RadioMenuItem -> RadioMenuItem -> Bool Source #
Ord RadioMenuItem Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: RadioMenuItem -> RadioMenuItem -> Ordering Source #

(<) :: RadioMenuItem -> RadioMenuItem -> Bool Source #

(<=) :: RadioMenuItem -> RadioMenuItem -> Bool Source #

(>) :: RadioMenuItem -> RadioMenuItem -> Bool Source #

(>=) :: RadioMenuItem -> RadioMenuItem -> Bool Source #

max :: RadioMenuItem -> RadioMenuItem -> RadioMenuItem Source #

min :: RadioMenuItem -> RadioMenuItem -> RadioMenuItem Source #

GObjectClass RadioMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: RadioMenuItem -> GObject Source # unsafeCastGObject :: GObject -> RadioMenuItem Source #
BinClass RadioMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types
CheckMenuItemClass RadioMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass RadioMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types
MenuItemClass RadioMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types
RadioMenuItemClass RadioMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass RadioMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class CheckMenuItemClass o => RadioMenuItemClass o Source #

#### Instances

Instances details

RadioMenuItemClass RadioMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToRadioMenuItem :: GObjectClass obj => obj -> RadioMenuItem Source #

gTypeRadioMenuItem :: GType Source #

toRadioMenuItem :: RadioMenuItemClass o => o -> RadioMenuItem Source #

# Constructors

radioMenuItemNew :: IO RadioMenuItem Source #

Creates a new `RadioMenuItem`.

radioMenuItemNewWithLabel :: GlibString string => string -> IO RadioMenuItem Source #

Creates a new `RadioMenuItem` whose child is a simple `Label`.

radioMenuItemNewWithMnemonic :: GlibString string => string -> IO RadioMenuItem Source #

Creates a new `RadioMenuItem` containing a label. The label will be created using `labelNewWithMnemonic`, so underscores in `label` indicate the mnemonic for the menu item.

radioMenuItemNewFromWidget Source #

Arguments

:: RadioMenuItem | `groupMember` - a member of an existing radio button group, to which the new radio button will be added.
-> IO RadioMenuItem |

Create a new radio button, adding it to the same group as the group to which `groupMember` belongs.

radioMenuItemNewWithLabelFromWidget Source #

Arguments

:: GlibString string |
=> RadioMenuItem | `groupMember` - a member of an existing radio button group, to which the new radio button will be added.
-> string |
-> IO RadioMenuItem |

Create a new radio button with a label, adding it to the same group as the group to which `groupMember` belongs.

radioMenuItemNewWithMnemonicFromWidget :: GlibString string => RadioMenuItem -> string -> IO RadioMenuItem Source #

Create a new radio button with a label and attach it to the group of another radio button. Underscores in the label string indicate the mnemonic for the menu item.

# Compatibility aliases

radioMenuItemNewJoinGroup :: RadioMenuItem -> IO RadioMenuItem Source #

Alias for `radioMenuItemNewFromWidget`.

radioMenuItemNewJoinGroupWithLabel :: GlibString string => RadioMenuItem -> string -> IO RadioMenuItem Source #

Alias for `radioMenuItemNewWithLabelFromWidget`.

radioMenuItemNewJoinGroupWithMnemonic :: GlibString string => RadioMenuItem -> string -> IO RadioMenuItem Source #

Alias for `radioMenuItemNewWithMnemonicFromWidget`.